@import "../styles.css";

/*==================== NAV ====================*/
.nav {
    max-width: 968px;
    height: var(--header-height);
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  .nav__logo, .nav__toggle {
    transition: .3s;
    color: var(--title-color);
    font-weight: var(--font-medium);
  }
  
  .nav__logo:hover {
    color: var(--first-color);
    transition: .3s;
  }
  
  .nav__toggle {
    font-size: 1.1rem;
    cursor: pointer;
  }
  
  .nav__toggle:hover {
    color: var(--first-color);
  }
  
  @media screen and (max-width: 767px) {
    .nav__menu {
      position: fixed;
      bottom: -100%;
      left: 0;
      width: 100%;
      background-color: var(--body-color);
      padding: 2rem 1.5rem 4rem;
      box-shadow: 0 -1px 4px rgba(0, 0, 0, 0.15);
      border-radius: 1.5rem 1.5rem 0 0;
      transition: .3s;
    }
  }
  
  .nav__list {
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
  }
  
  .nav__link {
    transition: .3s;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: var(--small-font-size);
    color: var(--title-color);
    font-weight: var(--font-medium);
  }
  
  .nav__link:hover {
    color: var(--first-color);
    transition: .3s;
  }
  
  .nav__icon {
    font-size: 1.2rem;
  }
  
  .nav__close {
    position: absolute;
    right: 1.3rem;
    bottom: .5rem;
    font-size: 1.5rem;
    cursor: pointer;
    color: var(--first-color);
  }
  
  .nav__close:hover {
    color: var(--first-color-alt);
  }
  
  /* show menu */
  .show-menu {
    bottom: 0;
  }
  
  /* Active link */
  .active-link {
    color: var(--first-color);
  }
  
  /* Change background header */
  .scroll-header {
    box-shadow: 0 -1px 4px rgba(0, 0, 0, 0.15);
  }

  
  /*========== SCROLL UP ==========*/
.scrollup {
    position: fixed;
    right: 1rem;
    bottom: -20%;
    background-color: rgba(0, 0, 0, 0.411);
    padding: 0 .3rem 0.3rem 0.3rem;
    border-radius: 1rem;
    z-index: var(--z-tooltip);
    transition: .4s;
  }
  
  .scrollup:hover {
    background-color: var(--first-color-alt);
  }
  
  .scrollup__icon {
    font-size: 1.5rem;
    color: #FFF;
  }
  
  /* Show scroll */
  .show-scroll {
    right: 1rem;
    bottom: 6%;
  }
  
  /*========== SCROLL BAR ==========*/
  ::-webkit-scrollbar {
    width: .60rem;
    border-radius: .5rem;
    background-color: var(--scroll-bar-color);
  }
  
  ::-webkit-scrollbar-thumb {
    background-color: var(--scroll-thumb-color);
    border-radius: .5rem;
  }
  
  ::-webkit-scrollbar-thumb:hover {
    background-color: var(--text-color-light);
  }